Skip to content

Record a new payment

Adds a new payment into for an income or expense. This endpoint also creates a new transaction in the provided account automatically. It works only for manually tracked accounts. If you would like to match an existing transaction with and income or expense please use 'Match Payment' endpoint.

View as Markdown

POST /v1/add-payment

Needs an API key with the write scope.

Parameters

  • accountId string Required

    32-character unique ID of the bank or cash account of the transaction. This payment will be recorded into this account.

  • description string Required

    Description of the payment. Will also be used as the description of the added transaction.

More parameters

  • invoiceId string

    32-character unique ID of the matching Invoice. If this payment does not match with an income, do not include this field while sending your request. you can include expenseId to match with an expense.

  • expenseId string

    32-character unique ID of the matching Expense. If this payment does not match with an expense, do not include this field while sending your request. you can include incomeId to match with an income.

  • transactionTimestamp integer

    Epoch timestamp for the transaction date and time. If both of the fields are provided, transactionTimestamp will be used.

  • transactionDate string

    Date of the transaction, yyyy-MM-dd. If both of the fields are provided, transactionTimestamp will be used.

  • amount number

    The amount of the payment. This amount should be less or equal to matched income or expense's remaining balance.

Returns

The transaction the payment was recorded as.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).